Package weka.gui.arffviewer

# Class ArffViewer

java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Frame
javax.swing.JFrame
weka.gui.arffviewer.ArffViewer

All Implemented Interfaces:
  `WindowListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`, `RootPaneContainer`, `WindowConstants`

public class ArffViewer extends JFrame implements WindowListener
A little tool for viewing ARFF files.

Version:
  $Revision: 10434 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.awt.Window

  `Window.Type`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class java.awt.Frame

  `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  ### Fields inherited from interface javax.swing.WindowConstants

  `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArffViewer()`
  initializes the object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getConfirmExit()`
  returns the setting of whether to display a confirm messagebox or not on exit
  `boolean`
  `getExitOnClose()`
  returns TRUE if a System.exit(0) is done on a close
  `ArffViewerMainPanel`
  `getMainPanel()`
  returns the main panel
  `static void`
  `main(String[] args)`
  shows the frame and it tries to load all the arff files that were provided as arguments.
  `void`
  `refresh()`
  validates and repaints the frame
  `void`
  `setCenteredLocation()`
  positions the window at the center of the screen
  `void`
  `setConfirmExit(boolean confirm)`
  whether to present a MessageBox on Exit or not
  `void`
  `setExitOnClose(boolean value)`
  whether to do a System.exit(0) on close
  `String`
  `toString()`
  returns only the classname
  `void`
  `windowActivated(WindowEvent e)`
  invoked when a window is activated
  `void`
  `windowClosed(WindowEvent e)`
  invoked when a window is closed
  `void`
  `windowClosing(WindowEvent e)`
  invoked when a window is in the process of closing
  `void`
  `windowDeactivated(WindowEvent e)`
  invoked when a window is deactivated
  `void`
  `windowDeiconified(WindowEvent e)`
  invoked when a window is deiconified
  `void`
  `windowIconified(WindowEvent e)`
  invoked when a window is iconified
  `void`
  `windowOpened(WindowEvent e)`
  invoked when a window is has been opened

  ### Methods inherited from class javax.swing.JFrame

  `getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

  ### Methods inherited from class java.awt.Frame

  `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

  ### Methods inherited from class java.awt.Window

  `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.awt.MenuContainer

  `getFont, postEvent`

- ## Constructor Details

  - ### ArffViewer

    public ArffViewer()
    initializes the object

- ## Method Details

  - ### setCenteredLocation

    public void setCenteredLocation()
    positions the window at the center of the screen

  - ### setConfirmExit

    public void setConfirmExit(boolean confirm)
    whether to present a MessageBox on Exit or not
    Parameters:
      `confirm` - whether a MessageBox pops up or not to confirm exit

  - ### getConfirmExit

    public boolean getConfirmExit()
    returns the setting of whether to display a confirm messagebox or not on exit
    Returns:
      whether a messagebox is displayed or not

  - ### setExitOnClose

    public void setExitOnClose(boolean value)
    whether to do a System.exit(0) on close
    Parameters:
      `value` - enables/disables the System.exit(0)

  - ### getExitOnClose

    public boolean getExitOnClose()
    returns TRUE if a System.exit(0) is done on a close
    Returns:
      true if System.exit(0) is done

  - ### getMainPanel

    public ArffViewerMainPanel getMainPanel()
    returns the main panel
    Returns:
      the main panel

  - ### refresh

    public void refresh()
    validates and repaints the frame

  - ### windowActivated

    public void windowActivated(WindowEvent e)
    invoked when a window is activated
    Specified by:
      `windowActivated` in interface `WindowListener`
    Parameters:
      `e` - the window event

  - ### windowClosed

    public void windowClosed(WindowEvent e)
    invoked when a window is closed
    Specified by:
      `windowClosed` in interface `WindowListener`
    Parameters:
      `e` - the window event

  - ### windowClosing

    public void windowClosing(WindowEvent e)
    invoked when a window is in the process of closing
    Specified by:
      `windowClosing` in interface `WindowListener`
    Parameters:
      `e` - the window event

  - ### windowDeactivated

    public void windowDeactivated(WindowEvent e)
    invoked when a window is deactivated
    Specified by:
      `windowDeactivated` in interface `WindowListener`
    Parameters:
      `e` - the window event

  - ### windowDeiconified

    public void windowDeiconified(WindowEvent e)
    invoked when a window is deiconified
    Specified by:
      `windowDeiconified` in interface `WindowListener`
    Parameters:
      `e` - the window event

  - ### windowIconified

    public void windowIconified(WindowEvent e)
    invoked when a window is iconified
    Specified by:
      `windowIconified` in interface `WindowListener`
    Parameters:
      `e` - the window event

  - ### windowOpened

    public void windowOpened(WindowEvent e)
    invoked when a window is has been opened
    Specified by:
      `windowOpened` in interface `WindowListener`
    Parameters:
      `e` - the window event

  - ### toString

    public String toString()
    returns only the classname
    Overrides:
      `toString` in class `Component`
    Returns:
      the classname

  - ### main

    public static void main(String[] args) throws Exception
    shows the frame and it tries to load all the arff files that were provided as arguments.
    Parameters:
      `args` - the commandline parameters
    Throws:
      `Exception` - if something goes wrong